Debian Bug report logs - #53821
Y2K bug

version graph

Package: birthday; Maintainer for birthday is Patrick Uiterwijk <puiterwijk@gmail.com>; Source for birthday is src:birthday.

Reported by: Wolfram Kleff <wkleff@gmx.net>

Date: Sat, 1 Jan 2000 13:33:01 UTC

Severity: important

Fixed in version birthday/1.1

Done: Andy Mortimer <andy.mortimer@zetnet.co.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Andy Mortimer <andy.mortimer@etnet.co.uk>:
Bug#53821; Package birthday. Full text and rfc822 format available.

Acknowledgement sent to Wolfram Kleff <wkleff@gmx.net>:
New Bug report received and forwarded. Copy sent to Andy Mortimer <andy.mortimer@etnet.co.uk>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wolfram Kleff <wkleff@gmx.net>
To: submit@bugs.debian.org
Subject: Y2K bug
Date: Sat, 01 Jan 2000 14:21:43 +0100 (CET)
Package: birthday

Y2K bug:

.birthdays:
Person=01/01/1966 bd

> birthday
Person is -1866 years old today.
          ^^^^^



Information forwarded to debian-bugs-dist@lists.debian.org, Andy Mortimer <andy.mortimer@etnet.co.uk>:
Bug#53821; Package birthday. Full text and rfc822 format available.

Acknowledgement sent to Andy Mortimer <andy.mortimer@zetnet.co.uk>:
Extra info received and forwarded to list. Copy sent to Andy Mortimer <andy.mortimer@etnet.co.uk>. Full text and rfc822 format available.

Message #10 received at 53821@bugs.debian.org (full text, mbox):

From: Andy Mortimer <andy.mortimer@zetnet.co.uk>
To: Wolfram Kleff <wkleff@gmx.net>, control@bugs.debian.org
Cc: 53821@bugs.debian.org
Subject: Ooops! Y2K bug in birthday and wrong maintainer address!
Date: 02 Jan 2000 18:30:49 +0000
severity 53821 important
thanks

Hi Wolfram/Debbugs,

Firstly, a quick note that THE MAINTAINER'S EMAIL ADDRESS IN THE
PACKAGE IS INCORRECT!  Sorry ... my real address is in the .sig
below.

Secondly, thanks for pointing out my horribly embarassing mistake
... :-(  I will fix this ASAP.

What a mess. :-(

Regards,

Andy

-- 
Andy Mortimer                                 andy.mortimer@zetnet.co.uk
-- 
Andy walking, Andy tired,
Andy take a little snooze
    -- "Andy Warhol," David Bowie


Severity set to `important'. Request was from Andy Mortimer <andy.mortimer@zetnet.co.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Andy Mortimer <andy.mortimer@zetnet.co.uk>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Wolfram Kleff <wkleff@gmx.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 53821-close@bugs.debian.org (full text, mbox):

From: Andy Mortimer <andy.mortimer@zetnet.co.uk>
To: 53821-close@bugs.debian.org
Subject: Bug#53821: fixed in birthday 1.1
Date: 2 Jan 2000 19:52:30 -0000
We believe that the bug you reported is fixed in the latest version of
birthday, which has been installed in the Debian FTP archive:
birthday_1.1_i386.deb
  to dists/potato/main/binary-i386/misc/birthday_1.1.deb
  replacing birthday_1.0-1.deb
birthday_1.1.tar.gz
  to dists/potato/main/source/misc/birthday_1.1.tar.gz
  replacing birthday_1.0.orig.tar.gz
birthday_1.1.dsc
  to dists/potato/main/source/misc/birthday_1.1.dsc
  replacing birthday_1.0-1.dsc

Note that this package is not part of the released stable Debian
distribution.  It may have dependencies on other unreleased software,
or other instabilities.  Please take care if you wish to install it.
The update will eventually make its way into the next released Debian
distribution.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 53821@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andy Mortimer <andy.mortimer@zetnet.co.uk> (supplier of updated birthday package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----

Format: 1.6
Date: Sun,  2 Jan 2000 19:31:27 +0000
Source: birthday
Binary: birthday
Architecture: source i386
Version: 1.1
Distribution: unstable
Urgency: high
Maintainer: Andy Mortimer <andy.mortimer@zetnet.co.uk>
Description: 
 birthday   - Display information about pending events on login
Closes: 53821
Changes: 
 birthday (1.1) unstable; urgency=HIGH
 .
   * Y2K fix for calculation of the current date!  (closes: Bug#53821)
   * Clarify the treatment of two-digit dates in the manpage.
   * The Debian package of this program is it's upstream source, so remove
     the extra component of the version number.
   * Update to the latest standards-version.
Files: 
 f427a64ed5ce9e82fc4e5b69b7b9f2b4 641 misc optional birthday_1.1.dsc
 af3eca9ff84ae42d8cc9f3d12facd7ed 37017 misc optional birthday_1.1.tar.gz
 b99b05e0a193a9065d845553395df760 11202 misc optional birthday_1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: 2.6.3ia
Charset: noconv

iQDVAwUBOG+oEAupwOfdl1GZAQF5BwX8DcaalgiyPuxXURiLSAxl4mTvNnUdnVXs
no+fp/8Is1wsyoOma9jKmVKKjzRLDcuFhNSYnusRV35+7K4zzMmAd7gc5RQ0Ah1U
pNJ437LWYqHfbevvvCSdwIems0Sqt8cXHRFIRA2DosU3ohT60+VNzIrdFZb+HBwA
IGmB26PqySA10h0HhS2+VnZv9NQ++w5riJcOD7Ld/ptADqKShY6SiROZa4l8tSox
qjErNgvl5bqR8399P2aAeX0/yuTGZKdE
=VXLX
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Andy Mortimer <andy.mortimer@etnet.co.uk>:
Bug#53821; Package birthday. Full text and rfc822 format available.

Acknowledgement sent to niek@arago8.tn.utwente.nl:
Extra info received and forwarded to list. Copy sent to Andy Mortimer <andy.mortimer@etnet.co.uk>. Full text and rfc822 format available.

Message #22 received at 53821@bugs.debian.org (full text, mbox):

From: Niek Bergboer <niek@uttnarag.tn.utwente.nl>
To: 53821@bugs.debian.org
Subject: Y2K-bug birthday
Date: Sun, 2 Jan 2000 21:40:22 +0100
Hi Wolfram,

The problem seems to be in line 389 of bdengine.c: the .year-part of a tm-struct always contains the number of years since 1900. So 1900 should be added in _all_ cases and not just when today.year < 100. 

The following patch therefore seems to solve this problem:

<   if(today.year < 100) today.year += 1900;
---
>   // tm.year _always_ is the number of years since 1900, so add 1900 years
>   // regardless of the value of today.year. Fixes Y2K-bug. N.H. Bergboer
>   // <n.h.bergboer@student.utwente.nl>
>   today.year += 1900;

There might be another Y2K-compliance problem: when a year contains two digits you assume that the date is in the 20th century. Whether this should be regarded as a problem remains open to discussion: one the one hand one might think that people start to use 4-digit years from now on, but on the other hand I would not be surprised if dates in the year (say) 2003 would be written as '02-01-03'. What are your thoughts regarding this last point?

Regards,

Niek Bergboer
n.h.bergboer@student.utwente.nl


Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:32:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.